part of modern_form_filter;

class FilterCompleteHeader extends StatelessWidget {
  final String? title;
  final String? textAll;
  final String? textSelect;
  final IconData? iconData;
  final Widget? child;
  final Filter? filter;
  final void Function(Filter)? onTap;

  const FilterCompleteHeader({
    Key? key,
    this.child,
    this.filter,
    this.onTap,
    this.title,
    this.textAll,
    this.textSelect,
    this.iconData,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        FilterHeader(
            title: title ?? "",
            icon: Icon(
              iconData ?? Icons.info,
              color: Colors.grey,
              size: ScreenUtil().setSp(24),
            )),
        SizedBox(height: ScreenUtil().setSp(10)),
        Row(
          children: <Widget>[
            FilterGenericCard(
                text: textAll ?? "",
                enabled: filter == Filter.All,
                onTap: () {
                  if (onTap != null) {
                    onTap!(Filter.All);
                  }
                }),
            SizedBox(width: ScreenUtil().setSp(15)),
            FilterGenericCard(
                text: textSelect ?? "",
                enabled: filter == Filter.Select,
                onTap: () {
                  if (onTap != null) {
                    onTap!(Filter.Select);
                  }
                }),
          ],
        ),
        filter == Filter.Select ? child ?? Container() : Container()
      ],
    );
  }
}
