part of modern_form_filter;

class FilterGenericCard extends StatelessWidget {
  final String? text;
  final bool enabled;
  final Function()? onTap;

  const FilterGenericCard(
      {Key? key, this.text, this.enabled = false, this.onTap})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    Color primaryColor = Theme.of(context).primaryColor;
    return InkWell(
      onTap: onTap,
      child: Container(
        decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(4),
            border: Border.all(color: primaryColor),
            color: enabled ? primaryColor : null),
        child: Padding(
          padding: EdgeInsets.symmetric(
              vertical: ScreenUtil().setSp(5),
              horizontal: ScreenUtil().setSp(10)),
          child: Text(
            text ?? "",
            style: TextStyle(
                color: enabled ? Colors.white : primaryColor,
                fontSize: ScreenUtil().setSp(15)),
          ),
        ),
      ),
    );
  }
}
